%define name scid
%define version 3.6.1
%define release %mkrel 6

Summary: Chess database
Name: %{name}
Version: %{version}
Release: %{release}
Group: Games/Boards
Source: %{name}-%{version}.tar.bz2
#http://twtelecom.dl.sourceforge.net/sourceforge/scid/scid-%{PACKAGE_VERSION}.tar.gz
Source10: scid-16.png
Source11: scid-32.png
Source12: scid-48.png
Patch0:	scid-add_proto.patch
URL: http://scid.sourceforge.net
BuildRequires: tcl tcl-devel tk tk-devel X11-devel zlib-devel
License: GPL
BuildRoot: %{_tmppath}/%{name}-root

%description
Scid (Shane's Chess Information Database) is a free chess database
application for Unix and Microsoft Windows operating systems.

Scid converts to and from PGN (Portable Game Notation) format, which
is the standard for text-based chess information exchange, but uses
its own fast compact format for storing files.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
perl -pi~ -e 's@/usr/local/share@%{_datadir}@g' tcl/start.tcl
%patch0
chmod -R go+rX ./

%build
./configure BINDIR=%{_bindir} SHAREDIR=%{_datadir}/scid TCL_INCLUDE=-I%{_includedir} TCL_LIBRARY='-L%{_libdir} -ltcl$(TCL_VERSION) -ldl' TK_LIBRARY='$(TCL_LIBRARY) -ltk$(TCL_VERSION) -L%{_prefix}/X11R6/%{_lib} -lX11'

make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT/%{_datadir}/scid
make BINDIR=$RPM_BUILD_ROOT/%{_bindir} \
     SHAREDIR=$RPM_BUILD_ROOT/%{_datadir}/scid install

mkdir -p $RPM_BUILD_ROOT/{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
cp %SOURCE10 $RPM_BUILD_ROOT/%{_miconsdir}/%name.png
cp %SOURCE11 $RPM_BUILD_ROOT/%{_iconsdir}/%name.png
cp %SOURCE12 $RPM_BUILD_ROOT/%{_liconsdir}/%name.png


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Scid
Comment=Chess games database
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Boards;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/scid
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%doc CHANGES COPYING README THANKS bitmaps help




%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.6.1-6mdv2008.1
+ Revision: 171088
- rebuild
- summary is not licence tag
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- drop old menu

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3.6.1-5mdv2008.1
+ Revision: 140756
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character


* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/10/06 01:11:19 (55279)
- fix menu, xdg menu

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/10/06 01:02:19 (55274)
- rebuild

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/10/06 01:00:00 (55273)
Import scid

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 3.6.1-4mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Tue Jul 26 2005 Olivier Thauvin <nanardon@mandriva.org> 3.6.1-3mdk
- rebuild

* Tue Jun 15 2004 Pascal Terjan <pterjan@mandrake.org> 3.6.1-2mdk
- rebuild

* Tue Mar 02 2004 Pascal Terjan <pterjan@mandrake.org> 3.6.1-1mdk
- 3.6

* Thu Feb 26 2004 Pascal Terjan <pterjan@mandrake.org> 3.6-1mdk
- 3.6

* Sun Jan 11 2004 Pascal Terjan <pterjan@mandrake.org> 3.5-1mdk
- 3.5

* Sun Jan 11 2004 Pascal Terjan <pterjan@mandrake.org> 3.4-3mdk
- amd64 fix

